
Redmine - Defect #39150

right-click menu not always appearing in large lists

2023-10-05 09:33 - Thomas B

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.0.5

Description

When looking at the issues overview of a project, right clicking on an item's "cell" instead of the text with hyperlink, a context-menu

appears when there arent that many items. With full pages (50 items) sometimes the menu appears way lower than the mouse

pointer and sometimes not at all (maybe its just off-screen?).

I tested using the default theme.

Is this a known-issue and how can i resolve it ?

The version is Redmine 5.0.5-stable but for some reason i can only pick 5.0.4 or 5.0.6 in the drop-down menu below this ticket to

select the affected version

Best regards,

History

#1 - 2023-10-23 04:35 - Mischa The Evil

- Affected version changed from 5.0.4 to 5.0.5

#2 - 2024-01-23 11:44 - Thomas B

Hi,any updates here ? This is still an issue. I found many threads related but these are from 16 years ago and the code had changed

#3 - 2024-01-23 13:01 - Holger Just

- Status changed from New to Needs feedback

Could you please confirm your browser and its version? Also, please make sure to disable any browser extensions such as ad blockers or virus

scanners within your browser. If the issue still occurs, it would be helpful to show a video (or at least a screenshot) of the issue.

Please also check your browser's JavaScript console in its developer console for any errors or warnings and also provide those here..

#4 - 2024-01-23 14:05 - Thomas B

- File devtools.jpg added

- File nok1.png added

- File nok2.png added

- File ok1.png added

- File ok2.png added

Holger Just wrote in #note-3:

Could you please confirm your browser and its version? Also, please make sure to disable any browser extensions such as ad blockers or virus

scanners within your browser. If the issue still occurs, it would be helpful to show a video (or at least a screenshot) of the issue.

Please also check your browser's JavaScript console in its developer console for any errors or warnings and also provide those here..

 Hi,

thank you for you quick response. The browser used is Microsoft Edge v 120.0.2210.121 (official build) (64-bit).

The only error in the dev tools console is

"Uncaught ReferenceError: setSelect2Filter is not defined" (see attached screenshot). (This shows up on every page)
I created a clip but its too large to attach.. i made some screenshots instead.

Basically what happens is when the scrollbar is at the top so the overview doesn't fill the entire screen, it works. Whether i click on the top rows or

bottom.

When i click the bottom row, the menu will position its bottom side on the same height (y-axis coordinate) of the mouse pointer so it stays on screen

and doesnt get cut off.

When i scroll down, anytime I click somewhere on the top or bottom the menu will be offset with half a screen (towards the bottom)so when i click on

the lower rows, the menu isnt visible at all because its rendered off screen.

also my context_menu.js and context_menu.css aren't changed from the original redmine 5.0.5

in screenshot ok1 i clicked on the top row (hightlighted in blue) and the menu appears on that same position. (ignore the mouse pointers position)

in ok2 i clicked on the bottom row, also good.

in nok1 after scrolling down i clicked on the top row and the menu appears on the bottom.

in nok2 i clickedo n the lower row after scrolling down and the menu is cut off

#5 - 2024-01-27 04:02 - Marius BĂLTEANU

setSelect2Filter is not part of Redmine core, is added by one of your plugins, I assume to replace some standard select fields with Select2

autocomplete. From what I know, select2 is quite heavy and it could be the source of your problem.

My advise is to try without that specific plugin or all plugins to see if the issue still reproduces. If the issue doesn't reproduce, you can report the

problem to the plugin author.

#6 - 2024-02-13 11:39 - Thomas B

Marius BĂLTEANU wrote in #note-5:

setSelect2Filter is not part of Redmine core, is added by one of your plugins, I assume to replace some standard select fields with Select2

autocomplete. From what I know, select2 is quite heavy and it could be the source of your problem.

My advise is to try without that specific plugin or all plugins to see if the issue still reproduces. If the issue doesn't reproduce, you can report the

problem to the plugin author.

 thanks for your response

turned out that error was a red herring. it was a plugin (redmine_hide_sidebar) that introduced the problem.

#7 - 2024-02-13 11:42 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Invalid

Thanks for coming back with a feedback!

#8 - 2024-11-04 13:20 - popy popy

Thank for this issue, i had the exact same issue.

The issue is also on github here: https://github.com/nanego/redmine_hide_sidebar/issues/9

And a fixed version is here: https://github.com/maxrossello/sidebar_hide
